<template>
  <div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      type: 'permit',
    };
  },
  created() {
    this.getmap(); // 列表
  },
  methods: {
    getmap() {
      window.open('npm.html?type=' + this.compileStr(this.type));
    },
    compileStr(code) {
      var c = String.fromCharCode(code.charCodeAt(0) + code.length);
      for (var i = 1; i < code.length; i++) {
        c += String.fromCharCode(code.charCodeAt(i) + code.charCodeAt(i - 1));
      }
      return escape(c);
    },
  },
};
</script>

<style>
</style>
